/** 
 *   FIXME ....
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   TODO: ???
 **/

#ifndef _ANTENA_H
#define _ANTENA_H

#include <stdint.h> 
#include "iar_bus.h"
#include "cmctl.h"

struct antena_packet_head {
	uint16_t cmd;
};	

#define ANTENA_PACKET_DATA_LEN (IB_PACKET_DATA_LEN - sizeof(struct antena_packet_head))

struct antena_packet{
	struct antena_packet_head h;
	unsigned char data[ANTENA_PACKET_DATA_LEN];
};



#define ANTENA_CM_BASE    'A'
#define POSITION_ACM       _CM(ANTENA_CM_BASE, 0)
#define INFO_ACM           _CM(ANTENA_CM_BASE, 1)
#define SURVEY_START_ACM   _CM(ANTENA_CM_BASE, 2)
#define SURVEY_STOP_ACM    _CM(ANTENA_CM_BASE, 3)
#define SURVEY_STATUS_ACM  _CM(ANTENA_CM_BASE, 4)


int antena_send_info(int fd, const char *fmt, ...);


#endif  /* ifndef _ANTENA_H */

