

#include <stdio.h>
#include <stdint.h> /* for uintXX_t definition */



struct my_head {
	//uint16_t addr; /* From the bus side: address To
	//		  From the device side: address from */ 
	//uint16_t size;
	uint32_t unused:5;
	uint32_t size:11;
	uint32_t cmd:4;
	uint32_t addr:12;
};


struct my_pk {
	struct my_head h;
	void *data;
};

union raw_head {
	uint32_t b;
	struct my_pk p;
};


int main(void)
{
	struct my_pk p;
	//union raw_head *h;
	//h = (union raw_head *) p;
	int *b;

	b = (uint32_t *) &p.h;
	/*           12345678 */
	*b = 0xf2345678;

	//p.h.cmd = 15;
	printf("addr: 0x%x, cmd: 0x%x, size: 0x%x\n",
	       p.h.addr, p.h.cmd, p.h.size);

	printf(" size my_head = %d, size my_pk = %d\n",
	       sizeof(struct my_head), sizeof(struct my_pk));

	return 0;
}
	
